Subject: Re: [PATCH 1/4] repack: convert "names" util bitfield to array

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 Oct 2022 16:35:17 -0700

Jeff King <[email-masked]> writes:

> Yeah, I actually considered writing it that way, but it felt a bit silly
> to use _ARRAY for something which is clearly meant to be a single item.

You are not alone.  I updated Réne's coccinelle rules to refrain
from converting xcalloc() to CALLOC_ARRAY() for a single element
case exactly because it feels silly to use array function for a
singleton with 1c57cc70 (cocci: allow xcalloc(1, size), 2021-03-15).